package com.fzm.common.entity.vo;

import com.fzm.common.entity.Order;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2022/2/8 17:45
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PaymentVo extends Order {

    @ApiModelProperty("交易类型 1-支付 2-退款")
    private String type;

    @ApiModelProperty("交易时间")
    private Date tradeTime;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("手机号")
    private String telephone;

    @ApiModelProperty("退款状态 1- 退款中 2-退款成功 3-退款失败")
    private Integer refundStatus;

    @ApiModelProperty("退款失败信息")
    private String failMessage;
}
