package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2022/1/19 15:53
 */
@AllArgsConstructor
@Getter
public enum OrderStatus {

    // 待支付
    PAYING(0),

    // 支付成功
    PAYED(1),

    // 已关单
    CLOSED(2),

    // 退款中
    REFUNDING(3),

    // 退款成功
    REFUNDED(4),

    // 订单已取消
    CANCEL(5),
    ;

    private final Integer status;

}
