package com.fzm.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.open.entity.dataobject.CopyrightApiDO;
import com.fzm.common.open.entity.queryobject.CopyrightApiMapperQO;
import com.fzm.common.open.entity.queryobject.CopyrightStateQO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:27
 */
@Mapper
public interface CopyrightApiMapper extends BaseMapper<CopyrightApiDO> {

    List<CopyrightApiDO> getList(CopyrightApiMapperQO mapperQO);

    List<String> getSerialCodes();

    List<CopyrightApiDO> getByAppKeyAndBizIds(CopyrightStateQO stateQO);
}
