package com.fzm.common.open.entity.openobject;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wt
 * @date 2022/4/24
 */
@Data
public class CopyrightAuthorOO {
    @NotBlank(message = "作者姓名不能为空")
    @ApiModelProperty(value = "作者姓名或名称")
    private String name;

    @NotBlank(message = "署名类型不能为空")
    @ApiModelProperty(value = "署名类型  (本名 | 别名 | 匿名)")
    private String signType;

    @NotBlank(message = "签名不能为空")
    @ApiModelProperty(value = "签名")
    private String sign;
}
