package com.fzm.common.open.entity.viewobject;

import com.fzm.common.entity.Authority;
import com.fzm.common.entity.OpusCategory;
import com.fzm.common.open.entity.dataobject.CopyrightApiAuthorDO;
import com.fzm.common.open.entity.dataobject.CopyrightApiDO;
import com.fzm.common.open.entity.dataobject.CopyrightApiFileDO;
import com.fzm.common.open.entity.dataobject.CopyrightApiOwnerRelationDO;
import lombok.Data;

import java.util.List;

/**
 * @author wt
 * @date 2022/4/24
 */
@Data
public class CopyrightApiVO {
    private CopyrightApiDO copyright;

    private OpusCategory opusCategory;

    private List<CopyrightApiFileDO> files;

    private List<CopyrightApiAuthorDO> authors;

    private List<Authority> authorities;

    private List<CopyrightApiOwnerRelationDO> owners;

}
