package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.CopyrightLog;
import com.fzm.common.enums.CopyrightLogType;

import java.util.List;

/**
 * @author wt
 * @date 2022/5/24
 */
public interface CopyrightLogService extends IService<CopyrightLog> {

    void save(Integer cid, CopyrightLogType copyrightLogType, String opInfo);

    void saveTask(Integer cid, Integer typeId, String opInfo);

    CopyrightLog selectByIdAndType(Integer cid, Integer typeId);

    List<CopyrightLog> logs(Integer cid);
}
